# How to contribute

First read and follow the [Code of Conduct](CODE_OF_CONDUCT.md).

Want a feature to be in to `legacy-puyo-tools`. Great! Create an issue at
<https://github.com/wushenrong/legacy-puyo-tools/issues> and add a description
on why it should be added. Be sure that the feature is related to the project's
goal.

Found a bug? Create an issue on how the bug occurred.

If you are contributing code, be sure to add a signoff to your commits with the
`-s` or `--signoff` flag as this project uses the
[Developer Certificate of Origin][dco] for resolving licensing issues between
contributors. Make sure to add tests and make them pass to avoid regression.

[dco]: https://developercertificate.org/

## Contributors

- @nickworonekin for creating Puyo Text Editor, some code is from that project.
- @52871299hzy for contributing information about the `fmp` format.

## Developer Certificate of Origin

Below is a reproduction of the [DCO][dco] for reference.

```txt
Developer Certificate of Origin
Version 1.1

Copyright (C) 2004, 2006 The Linux Foundation and its contributors.

Everyone is permitted to copy and distribute verbatim copies of this
license document, but changing it is not allowed.


Developer's Certificate of Origin 1.1

By making a contribution to this project, I certify that:

(a) The contribution was created in whole or in part by me and I
    have the right to submit it under the open source license
    indicated in the file; or

(b) The contribution is based upon previous work that, to the best
    of my knowledge, is covered under an appropriate open source
    license and I have the right under that license to submit that
    work with modifications, whether created in whole or in part
    by me, under the same open source license (unless I am
    permitted to submit under a different license), as indicated
    in the file; or

(c) The contribution was provided directly to me by some other
    person who certified (a), (b) or (c) and I have not modified
    it.

(d) I understand and agree that this project and the contribution
    are public and that a record of the contribution (including all
    personal information I submit with it, including my sign-off) is
    maintained indefinitely and may be redistributed consistent with
    this project or the open source license(s) involved.
```
